com.trendmicro.ds.appcontrol.rest.object

## Class ModifyTrustedUpdateModeRequest

- java.lang.Object
- - com.trendmicro.ds.appcontrol.rest.object.ModifyTrustedUpdateModeRequest

-     public class ModifyTrustedUpdateModeRequest
      extends java.lang.Object

  Request object for the ModifyTrustedUpdateMode API.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ModifyTrustedUpdateModeRequest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Integer` | `getDuration()` Gets the duration (in minutes) that trusted update mode should be enabled.
    `java.lang.Boolean` | `getEnabled()` Gets whether trusted update mode should be enabled.
    `void` | `setDuration(java.lang.Integer duration)` Sets the duration (in minutes) that trusted update mode should be enabled.
    `void` | `setEnabled(java.lang.Boolean enabled)` Sets whether trusted update mode should be enabled.
    `ModifyTrustedUpdateModeRequest` | `withDuration(java.lang.Integer duration)` Sets the duration (in minutes) that trusted update mode should be enabled.
    `ModifyTrustedUpdateModeRequest` | `withEnabled(java.lang.Boolean enabled)` Sets whether trusted update mode should be enabled.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ModifyTrustedUpdateModeRequest

          public ModifyTrustedUpdateModeRequest()

  - ### Method Detail

    - #### getEnabled

          public java.lang.Boolean getEnabled()

      Gets whether trusted update mode should be enabled.
      Returns:
        whether trusted update mode should be enabled.

    - #### getDuration

          public java.lang.Integer getDuration()

      Gets the duration (in minutes) that trusted update mode should be enabled.
      Returns:
        the duration (in minutes) that trusted update mode should remain enabled.

    - #### setEnabled

          public void setEnabled(java.lang.Boolean enabled)

      Sets whether trusted update mode should be enabled.
      Parameters:
        `enabled` - whether trusted update mode should be enabled.

    - #### setDuration

          public void setDuration(java.lang.Integer duration)

      Sets the duration (in minutes) that trusted update mode should be enabled.
      Parameters:
        `the` - duration (in minutes) for trusted update mode should remain enabled.

    - #### withEnabled

          public ModifyTrustedUpdateModeRequest withEnabled(java.lang.Boolean enabled)

      Sets whether trusted update mode should be enabled.
      Parameters:
        `enabled` - whether trusted update mode should be enabled.
      Returns:
        the updated ModifyTrustedUpdateModeRequest object.

    - #### withDuration

          public ModifyTrustedUpdateModeRequest withDuration(java.lang.Integer duration)

      Sets the duration (in minutes) that trusted update mode should be enabled.
      Parameters:
        `the` - duration (in minutes) for trusted update mode should remain enabled.
      Returns:
        the updated ModifyTrustedUpdateModeRequest object.

Copyright © 2017 Trend Micro Inc. All Rights Reserved.